diff --git a/configure.ac b/configure.ac
index 5fb401e..86003b1 100644
--- a/configure.ac
+++ b/configure.ac
@@ -71,13 +71,14 @@ if test "$ODBC_CONFIG" != ""; then
 		CPPFLAGS="$CPPFLAGS ${ODBC_INCLUDE}"
 		ODBC_LIBS=`${ODBC_CONFIG} --libs`
 		LIBS="$LIBS ${ODBC_LIBS}"
+		AC_MSG_NOTICE([using $ODBC_INCLUDE $ODBC_LIBS])
 	else
 		ODBC_INCLUDE=`${ODBC_CONFIG} --include-prefix`
 		CPPFLAGS="$CPPFLAGS -I${ODBC_INCLUDE}"
-		ODBC_LIBS=`${ODBC_CONFIG} --libs`
-		LIBS="$LIBS ${ODBC_LIBS}"
+		ODBC_LIBDIR=`${ODBC_CONFIG} --lib-prefix`
+		LDFLAGS="$LDFLAGS -L${ODBC_LIBDIR}"
+		AC_MSG_NOTICE([using $ODBC_INCLUDE $ODBC_LIBDIR])
 	fi
-	AC_MSG_NOTICE([using $ODBC_INCLUDE $ODBC_LIBS])
 fi
 
 #
